org.codehaus.groovy.runtime

## Class GroovyCategorySupport.CategoryMethodList

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<E>
    - - java.util.ArrayList<GroovyCategorySupport.CategoryMethod>
      - - org.codehaus.groovy.runtime.GroovyCategorySupport.CategoryMethodList

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.lang.Iterable<GroovyCategorySupport.CategoryMethod>, java.util.Collection<GroovyCategorySupport.CategoryMethod>, java.util.List<GroovyCategorySupport.CategoryMethod>, java.util.RandomAccess
  Enclosing class:
    GroovyCategorySupport

      public static class GroovyCategorySupport.CategoryMethodList
      extends java.util.ArrayList<GroovyCategorySupport.CategoryMethod>

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `level`

    - ### Fields inherited from class java.util.AbstractList

      `modCount`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CategoryMethodList(java.lang.String name, int level, GroovyCategorySupport.CategoryMethodList previous)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `add(GroovyCategorySupport.CategoryMethod o)`

    - ### Methods inherited from class java.util.ArrayList

      `add, addAll, addAll, clear, clone, contains, ensureCapacity, forEach, get, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeIf, removeRange, replaceAll, retainAll, set, size, sort, spliterator, subList, toArray, toArray, trimToSize`

    - ### Methods inherited from class java.util.AbstractList

      `equals, hashCode`

    - ### Methods inherited from class java.util.AbstractCollection

      `containsAll, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.List

      `containsAll, equals, hashCode`

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, stream`

- - ### Field Detail

    - #### level

          public final int level

  - ### Constructor Detail

    - #### CategoryMethodList

          public CategoryMethodList(java.lang.String name,
                                    int level,
                                    GroovyCategorySupport.CategoryMethodList previous)

  - ### Method Detail

    - #### add

          public boolean add(GroovyCategorySupport.CategoryMethod o)

      Specified by:
        `add` in interface `java.util.Collection<GroovyCategorySupport.CategoryMethod>`
      Specified by:
        `add` in interface `java.util.List<GroovyCategorySupport.CategoryMethod>`
      Overrides:
        `add` in class `java.util.ArrayList<GroovyCategorySupport.CategoryMethod>`